%define upstream_name    PerlIO-utf8_strict
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Fast and correct UTF-8 IO
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PerlIO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
This module provides a fast and correct UTF-8 PerlIO layer. Unlike perl's
default ':utf8' layer it checks the input for correctness.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# %{__perl} Build.PL --installdirs=vendor
%{__perl} Makefile.PL INSTALLDIRS=vendor

# ./Build
%make

%check
# ./Build test
%make test

%install
# ./Build install --destdir=%{buildroot}
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-4.mga6
+ Revision: 1031976
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.6.0-3.mga6
+ Revision: 957883
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.6.0-2.mga6
+ Revision: 845124
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.6.0-1.mga6
+ Revision: 841197
- New version 0.006 + Rebuild for the new perl-5.22.0

* Sun Oct 19 2014 umeabot <umeabot> 0.4.0-7.mga5
+ Revision: 790604
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-6.mga5
+ Revision: 748282
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.4.0-5.mga5
+ Revision: 733258
- add exclude

* Sat Sep 27 2014 tv <tv> 0.4.0-4.mga5
+ Revision: 725837
- rebuild for missing provides

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 685961
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.4.0-2.mga5
+ Revision: 631604
- Rebuild for perl 5.20

* Tue Feb 25 2014 jquelin <jquelin> 0.4.0-1.mga5
+ Revision: 596866
- adding missing buildrequires:
- imported package perl-PerlIO-utf8_strict


* Tue Feb 25 2014 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
